package kz.arta.synergy.workflow.mobile.android.forms.general.components.registrychooser.models;

import java.util.List;

/**
 * Created by neox on 02.06.16.
 */
public class RegistryDataModel {

    private int recordCount;
    private int dataCount;
    private List<Data> data;

    public int getRecordCount() {
        return recordCount;
    }

    public int getDataCount() {
        return dataCount;
    }

    public List<Data> getData() {
        return data;
    }

    public static class Data {

        private String cmp_id;
        private String cmp_data;
        private String uuid;
        private String dataUUID;
        private boolean selected;
        private int state;

        public String getCmp_id() {
            return cmp_id;
        }

        public void setCmp_id(String cmp_id) {
            this.cmp_id = cmp_id;
        }

        public String getCmp_data() {
            return cmp_data;
        }

        public void setCmp_data(String cmp_data) {
            this.cmp_data = cmp_data;
        }

        public String getUuid() {
            return uuid;
        }

        public void setUuid(String uuid) {
            this.uuid = uuid;
        }

        public boolean isSelected() {
            return selected;
        }

        public void setSelected(boolean selected) {
            this.selected = selected;
        }

        public String getDataUUID() {
            return dataUUID;
        }

        public void setDataUUID(String dataUUID) {
            this.dataUUID = dataUUID;
        }

        public void setState(int state) {
            this.state = state;
        }

        public int getState() {
            return state;
        }
    }
}
